: Class CvsEntryResource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.cvs
Class CvsEntryResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.tools.resources.ContainerResource
                                    |
                                    +--org.w3c.jigedit.cvs.CvsEntryResource

public class CvsEntryResource
extends ContainerResource

This class exports the state of an entry. For the time being it doesn't do much, but it should act as a directory (container) for all revisions of a document.

The lookup method of this entity should be able to turn a revision number into an editable (or viewable) document.

Field Summary
`protected java.lang.String` | `name`
`protected ResourceReference` | `rr_cvsframe`

Fields inherited from class org.w3c.tools.resources.ContainerResource
`acquired, ATTR_KEY`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Method Summary
`protected void` | `checkRevisionNumber(java.lang.String rev)`
`protected CvsDirectory` | `getCvsManager()`
`protected java.lang.String` | `getCvsURL()`
`protected HtmlGenerator` | `getHtmlGenerator(java.lang.String title)`
`protected int` | `getMinor(java.lang.String revision)`
`ResourceReference` | `getResourceReference()` Get the ResourceReference of that resource.
`protected ResourceReference` | `getRevisionResource(java.lang.String revision)`
`ResourceReference` | `lookup(java.lang.String revision)` Lookup a children in the container.
`protected java.lang.String` | `parseDiff(java.lang.String diff)` replace < by <.
`protected HtmlGenerator` | `parseLog(java.lang.String log)`
`protected void` | `writeLinks(java.io.OutputStream out, byte[] b, int offset, int length)`

Methods inherited from class org.w3c.tools.resources.ContainerResource
`acquireChildren, addResource, createDefaultResource, delete, delete, deleteChildren, enumerateResourceIdentifiers, getChildrenSpaceEntry, getClone, getKey, getMatchingCharsCount, getSpaceEntry, initialize, internalLookup, lookup, notifyUnload, registerResource, replace, resourceCreated, resourceModified, resourceRemoved, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceUnloaded`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getURLPath, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### rr_cvsframe

    protected ResourceReference rr_cvsframe

Method Detail

### getMinor

    protected int getMinor(java.lang.String revision)

### getCvsManager

    protected CvsDirectory getCvsManager()
                                  throws InvalidResourceException

### getCvsURL

    protected java.lang.String getCvsURL()

### checkRevisionNumber

    protected void checkRevisionNumber(java.lang.String rev)
                                throws org.w3c.jigedit.cvs.CvsEntryResource.RevisionNumberException,
                                       CvsException

### writeLinks

    protected void writeLinks(java.io.OutputStream out,
                              byte[] b,
                              int offset,
                              int length)
                       throws java.io.IOException

### parseDiff

    protected java.lang.String parseDiff(java.lang.String diff)

  replace < by <.

### parseLog

    protected HtmlGenerator parseLog(java.lang.String log)

### getRevisionResource

    protected ResourceReference getRevisionResource(java.lang.String revision)

### lookup

    public ResourceReference lookup(java.lang.String revision)

  Description copied from class: ContainerResource
  Lookup a children in the container.
  Overrides:
    lookup in class ContainerResource
  Tags copied from class: ContainerResource
  Parameters:
    `name` - The name of the children to lookup.

### getResourceReference

    public ResourceReference getResourceReference()

  Description copied from class: Resource
  Get the ResourceReference of that resource. ResourceReference is the only public way to access a resource.
  Overrides:
    getResourceReference in class Resource
  Tags copied from class: Resource
  Returns:
    a ResourceReference instance.

### getHtmlGenerator

    protected HtmlGenerator getHtmlGenerator(java.lang.String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD